<?php

global $wpdb;
$msg = '';

if (isset($_POST['import_gallery']) && $_POST['import_gallery'] != '') {
    if (!function_exists('wp_handle_upload')) {
        require_once(ABSPATH . 'wp-admin/includes/file.php');
    }
    $uploadedfile = $_FILES['gallery_file'];

    $upload_overrides = array('test_form' => false);

    $movefile = wp_handle_upload($uploadedfile, $upload_overrides);

    if ($movefile && !isset($movefile['error'])) {
        $msg =  "Custom gallery images has been successfully imported.\n";
        $file_path = $movefile['file'];
        $file_url = $movefile['url'];
        /* Update taxonomy ........... */
        $upload_dir = wp_upload_dir();
        if (file_exists($file_path)) {
            $xml = simplexml_load_file($file_path);
            $cnt = 0;
            foreach ($xml->item as $item) {
                $attached_arr = array();
                if (!empty($item->attach_url)) {
                    $post_id = $this->eaddons_post_id_from_slug($item->post_slug);

                    $attach_urls  = explode(',', $item->attach_url);
                    foreach ($attach_urls as $attach_url) {
                        $image_url = str_replace($item->domain_url, esc_url(home_url('')), $attach_url);
                        $attached_arr[] = $this->eaddons_attachment_id_from_src($image_url);
                    }

                    if ($item->meta_key == 'product_gallery_img') {
                        update_post_meta($post_id, 'product_gallery_img', maybe_serialize($attached_arr));
                    } else if ($item->meta_key == 'itinerary_gallery_img') {
                        update_post_meta($post_id, 'itinerary_gallery_img', maybe_serialize($attached_arr));
                    }
                }
            }
        }
    } else {
        /**
         * Error generated by _wp_handle_upload()
         * @see _wp_handle_upload() in wp-admin/includes/file.php
         */
        $msg =  $movefile['error'];
    }
}
echo '<div id="wrap"><div class="wrap"><h2><img src="' . plugin_dir_url(dirname(__FILE__))  . 'assets/img/addons.png"> ' . __("Addons", "eaddons") . '</h2></div>';
echo '<div class="wrap">';

if (!empty($msg)) {
    echo '<p class="update-nag notice">' . $msg . '</p>';
} ?>
<table width="100%" class="widefat fixed comments" style="padding-bottom:20px;">
    <tr>
        <td>
            <h3> <?php _e('Export Gallery', 'eaddons'); ?></h3>
        </td>
    </tr>
    <tr>
        <td>
            <p> <?php _e('Click below to generate a .xml file for tour gallery.', 'eaddons'); ?> </p>
        </td>
    </tr>
    <tr>
        <td><?php echo '<a href="' . get_template_directory_uri() . '/admin/feed/gallery-data.php" target="_blank" class="button-primary">' . __("Export Gallery", "eaddons") . '</a>'; ?></td>
    </tr>
</table>
<form action="" method="post" enctype="multipart/form-data">
    <table width="100%" class="widefat fixed comments" style="padding-bottom:20px;">
        <tr>
            <td>
                <h3><?php _e('Import Gallery',  'eaddons'); ?></h3>
            </td>
        </tr>
        <tr>
            <td>
                <p><?php _e(' Please select a .xml file generated.',  'eaddons'); ?></p>
            </td>
        </tr>
        <tr>
            <td>
                <input type="file" name="gallery_file">
            </td>
        </tr>
        <tr>
            <td> <input type="submit" value="<?php esc_attr_e('Import Gallery',  'eaddons'); ?>" name="import_gallery" class="button-primary"> </td>
        </tr>
    </table>
</form>
<?php
echo '</div></div>';
