<?php
/**
 * View Order
 *
 * Shows the details of a particular order on the account page.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/view-order.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if (!defined('ABSPATH')) {
	exit;
}

?>
<?php wc_print_notices(); ?>
<p class="order-info"><?php printf(__('Order #<mark class="order-number">%s</mark> was placed on <mark class="order-date">%s</mark> and is currently <mark class="order-status">%s</mark>.', 'entrada' ), $order->get_order_number(), date_i18n(get_option('date_format'), strtotime($order->get_date_completed())), wc_get_order_status_name($order->get_status())); ?></p>
<?php if ($notes = $order->get_customer_order_notes()) : ?>
	<h2 class="small-size"><?php _e('Order Updates',  'entrada' ); ?></h2>
	<ol class="commentlist notes">
		<?php foreach ($notes as $note) : ?>
			<li class="comment note">
				<div class="comment_container">
					<div class="comment-text">
						<p class="meta"><?php echo date_i18n(__('l jS \o\f F Y, h:ia', 'entrada' ), strtotime($note->comment_date)); ?></p>
						<div class="description"><?php echo wpautop(wptexturize($note->comment_content)); ?></div>
						<div class="clear"></div>
					</div>
					<div class="clear"></div>
				</div>
			</li>
		<?php endforeach; ?>
	</ol>
<?php
endif;
do_action('woocommerce_view_order', $order_id); ?>